Bug 191242 - RFE: Save and restore all information about default routes
RFE: Save and restore all information about default routes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
bzcl34nup
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 20:10 EDT by Miloslav Trmač
Modified: 2009-09-07 10:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 10:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2006-05-09 20:10:17 EDT
Version-Release number of selected component (if applicable):
rp-pppoe-3.5-31

Basic PPP was recently changed to save and restore all default routes
(supporting multiple default routes with different metrics), like this:
--- sysconfig/network-scripts/ifup-ppp	20 Mar 2006 02:38:39 -0000	1.56
+++ sysconfig/network-scripts/ifup-ppp	10 May 2006 00:03:36 -0000
@@ -105,9 +105,11 @@
 if [ "${DEFROUTE}" != no ] ; then
   # pppd will no longer delete an existing default route
   # so we have to help it out a little here.
-  DEFRT=`ip route list | awk '/^default / { print $3 }'`
-  [ -n "${DEFRT}" ] && echo $DEFRT > /etc/default-route
-  route del default >/dev/null 2>&1
+  DEFRT=$(ip route list match 0/0)
+  [ -n "${DEFRT}" ] && echo "$DEFRT" > /etc/default-routes
+  echo "$DEFRT" | while read spec; do
+      ip route del $spec;
+  done
   opts="$opts defaultroute"
 fi
 if [ "${PEERDNS}" != no ] ; then
--- sysconfig/network-scripts/network-functions	17 Mar 2006 16:49:23 -0000	1.121
+++ sysconfig/network-scripts/network-functions	10 May 2006 00:03:36 -0000
<SNIP>
             fi
         fi
-    elif [ -f /etc/default-route ]; then
-	/sbin/ip route add default ${WINDOW:+window $WINDOW} via `cat /etc/default-route`
-	rm -f /etc/default-route
+    elif [ -f /etc/default-routes ]; then
+	while read spec; do
+	    /sbin/ip route add $spec
+	done < /etc/default-routes
+	rm -f /etc/default-routes
     fi
 }
Comment 1 Bug Zapper 2008-04-03 22:51:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Miloslav Trmač 2008-04-03 23:11:51 EDT
Still relevant in rawhide rp-pppoe-3.8-3.fc9.
Comment 3 Jon Stanley 2008-04-23 16:30:37 EDT
Adding FutureFeature keyword to RFE's.
Comment 4 Ngo Than 2009-09-07 10:50:21 EDT
it's fixed in rp-pppoe-3_10-4_fc12.

Note You need to log in before you can comment on or make changes to this bug.